import dynamix_sdk.base as _base


class CloudbrokerSecurityGroupCreateResultInt(_base.BaseAPIResultInt):
    pass


class CloudbrokerSecurityGroupCreateProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def create(
        self,
        *,
        account_id: int,
        name: str,
        description: str | None = None,
    ) -> CloudbrokerSecurityGroupCreateResultInt:
        ...
